#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA692_X31J
extern void F1715_MUSC_07_();
extern void F1721_MUSC_06_();
extern void F1716_MUSC_05_StopMIDIMusic();
extern void F1717_MUSC_04_PlayMIDIMusic();
extern void F1718_MUSC_03_Expunge();

extern void F1695_();


struct {
        void* Functions[7];
        MUSC_FTL_LIBRARY Data;
} G3486_s_MUSCLibrary = {
        { (void*)F1715_MUSC_07_,                /* 07 -$1C */
          (void*)F1721_MUSC_06_,                /* 06 -$18 */
          (void*)F1716_MUSC_05_StopMIDIMusic,   /* 05 -$14 */
          (void*)F1717_MUSC_04_PlayMIDIMusic,   /* 04 -$10 */
          (void*)F1718_MUSC_03_Expunge,         /* 03 -$0C */
          NULL,                                 /* 02 -$08 */
          NULL                                  /* 01 -$04 */
} };


void main(P5034_l_)
long P5034_l_;
{
        G3486_s_MUSCLibrary.Data.FTLLibrary.FTLNode.Name = FTL_MUSC;
        G3486_s_MUSCLibrary.Data.FTLLibrary.Version = 4;
        G3486_s_MUSCLibrary.Data.FTLLibrary.Unused1 = 0;
        F1695_(P5034_l_, &G3486_s_MUSCLibrary.Data.FTLLibrary);
}
#endif
